<%--  
@copyright(disclaimer) 
Licensed Materials - Property of IBM
IBM DB2 Content Manager Enterprise Edition V8  (program number 5724-B19)
IBM DB2 Content Manager Express Edition V8 (program number 5724-F73)
IBM DB2 Content Manager for z/OS V8 (program number 5697-H60)
(c ) Copyright IBM Corp. 1995,  2004. All Rights Reserved.

US Government Users Restricted Rights                                  
Use, duplication or disclosure restricted by GSA ADP Schedule          
Contract with IBM Corp.     

DISCLAIMER OF WARRANTIES :                                 
                                                                       
Permission is granted to copy and modify this  Sample code, and to
distribute modified versions provided that both the copyright        
notice, and this permission notice and warranty disclaimer  appear in all copies and modified  
versions. 

This software is provided "AS IS."  IBM and its Suppliers and Licensors expressly disclaim all
warranties, whether  EXPRESS OR IMPLIED,  INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE OR WARRANTY OF  NON-INFRINGEMENT.  IBM AND ITS SUPPLIERS AND
LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM USE OR
DISTRIBUTION OF THE SOFTWARE OR THE COMBINATION OF THE SOFTWARE WITH ANY OTHER CODE.
IN NO EVENT WILL IBM OR ITS SUPPLIERS  AND LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR
DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE
SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                          
                                                                 
@endCopyright
--%>

<%-- This is the JSP for Form-based logon. It needs to be specified in the 'login-config' section of the web deployment
     descriptor accessible through the 'pages' tab of the Deployment Descriptor Editor.
--%> 

<%@ page import="javax.servlet.http.Cookie"
		 language="java"
		 contentType="text/html; charset=UTF-8"
		 pageEncoding="UTF-8"
         errorPage="/logonError.jsp"
%>

<HTML>
<HEAD>
	<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<META http-equiv="Expires" content="-1">
	<LINK rel="stylesheet" href="css/style.css">
	<TITLE>Quick Start Client - Logon</TITLE>
</HEAD>
<BODY>

<%@include file="header.jsp"%>

<%
	// The index page of the Quick Start Client passes a userid as parameter when requesting the protected resource (JSP).
	// The intermediate login screen passes the original URL (and thus the parameter) in a cookie named 'WASReqURL'.
	// This JSP locates the cookie to find the userid which initializes the userid field.
	
	final String WAS_COOKIE_NAME="WASReqURL";	// name of cookie containing original request URL
	final String UID_PARM_KEY="PreferredUID=";	// key part of parameter containing userid
		
	// get all cookies
	Cookie cookies[] = request.getCookies();
	if (cookies!=null) {
		// Look for the cookie containing the original request
	    for (int i=0; i<cookies.length; i++) {
	    	if (cookies[i].getName().equals(WAS_COOKIE_NAME)) {
	    		// found correct cookie, now look for UserID parameter
	    		String cookieContent = cookies[i].getValue() + "&"; // add "&" to make sure there is one
	    		int uidStart = cookieContent.lastIndexOf(UID_PARM_KEY); // may as well match other parameters like "MyPreferredUID", but just keep it simple
	    		if (uidStart>=0) {
	    			// skip the key to get only the value
	    			uidStart += UID_PARM_KEY.length();
	    			int uidStop = cookieContent.indexOf("&",uidStart);
	    			userId = cookieContent.substring(uidStart,uidStop);
	    		}
	    	}
	    } // end for
	}
%>

<FORM action="j_security_check" method="post" name="form1">
<TABLE border=0 cellpadding=0 cellspacing=0 width="100%" height="70%">
	<TR> 
	
	<%-- position logon-dialogue at the center of the logon window --%>
	<TD valign="middle" align="center">
		<TABLE class="login-table" cellpadding="5" cellspacing="0" width="400">
			<TR>
				<TH colspan="2" class="column-head" scope="rowgroup" align="left">Login&nbsp;&nbsp;</TH>
			</TR>
			<TR>
				<TD valign=top colspan="2" class="table-text" nowrap>&nbsp;</TD>
			</TR>
			<TR> 
				<TD valign=top width="33%" class="table-text" nowrap> 
					<LABEL for="name">User ID</LABEL>
				</TD>
				<TD valign=top class="table-text">
					<INPUT type="text" name="j_username" id="name" value="<%=userId%>">
				</TD>
			</TR>
			<TR> 
				<TD valign=top width="33%" class="table-text" nowrap> 
					<LABEL for="pswd">Password</LABEL>
				</TD>
				<TD valign=top class="table-text"> 
					<INPUT type="password" name="j_password" id="pswd">
				</TD>
			</TR>
			<TR>
				<TD valign=top colspan="2" class="table-text" nowrap>&nbsp;</TD>
			</TR>
			<TR> 
				<TD valign=top colspan="2" class="login-button-section" nowrap align="center"> 
					<INPUT type="submit" name="action" class="buttons" value="&nbsp;OK&nbsp;">
				</TD>
			</TR>
		</TABLE>
	</TD>
	</TR>
</TABLE>
</FORM>

<script language="JavaScript">
<!--
document.form1.j_username.focus();
//-->
</script>

</BODY>
</HTML>
