<%--
@copyright(disclaimer) 
Licensed Materials - Property of IBM
IBM DB2 Content Manager Enterprise Edition V8  (program number 5724-B19)
IBM DB2 Content Manager Express Edition V8 (program number 5724-F73)
IBM DB2 Content Manager for z/OS V8 (program number 5697-H60)
(c ) Copyright IBM Corp. 1994,  2005. All Rights Reserved.

US Government Users Restricted Rights                                  
Use, duplication or disclosure restricted by GSA ADP Schedule          
Contract with IBM Corp.     

DISCLAIMER OF WARRANTIES :                   
                                                                       
Permission is granted to copy and modify this  Sample code, and to     
distribute modified versions provided that both the copyright        
notice, and this permission notice and warranty disclaimer  appear in all copies and modified  
versions. 

This software is provided "AS IS."  IBM and its Suppliers and Licensors expressly disclaim all
warranties, whether  EXPRESS OR IMPLIED,  INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE OR WARRANTY OF  NON-INFRINGEMENT.  IBM AND ITS SUPPLIERS AND
LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM USE OR
DISTRIBUTION OF THE SOFTWARE OR THE COMBINATION OF THE SOFTWARE WITH ANY OTHER CODE.
IN NO EVENT WILL IBM OR ITS SUPPLIERS  AND LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR
DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE
SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.                          
                                                                 
@endCopyright
--%>


<%-- This is the JSP for form-based logout. It needs to be specified in the 'login-config' section of the web deployment
     descriptor accessible through the 'pages' tab of the Deployment Descriptor Editor.
--%> 

<%@ page import="com.ibm.mm.beans.*,
                 com.ibm.bpe.cm.utils.Helpers"
		 language="java"
		 contentType="text/html; charset=UTF-8"
		 pageEncoding="UTF-8"
         errorPage="/error.jsp"
%>

<HTML>
<HEAD>
	<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<META http-equiv="Expires" content="-1">
	<LINK rel="stylesheet" href="css/style.css">
	<TITLE>Quick Start Client - Logout</TITLE>
</HEAD>
<BODY>

<%@include file="header.jsp"%>

<%
	// try to checkIn any potentially checked out items
	CMBConnection connection = (CMBConnection) session.getAttribute("connection");
	if (connection != null && processItemPid != null) {
    	// setupDataBean also re-validates the connection
    	CMBDataManagement dataBean = Helpers.setupDataBean(request, processItemPid, false);
		try { dataBean.checkIn(); } catch (CMBException e) {}
		if (itemPid != null) {
	    	dataBean = Helpers.setupDataBean(request, itemPid, false);
			try { dataBean.checkIn(); } catch (CMBException e) {}
		}
	}
		
	// close the CM connection and invalidate the session
	if (connection != null && connection.isConnected()) connection.disconnect();
	session.invalidate();
%>

<%-- this form is submitted when loading the page which automatically redirects it to the index page --%>

<FORM method="post" action="ibm_security_logout" name="logout">
	<INPUT type="hidden" name="logout" value="Logout">
	<INPUT type="hidden" name="logoutExitPage" value="index.jsp">
</FORM>

<script language="JavaScript">
<!--
document.forms[0].submit();
//-->
</script>

</BODY>
</HTML>
